#! /bin/bash
# fail immediately on error
set -e

apt update  \
	&& apt dist-upgrade  \
	&& apt install -y  \
		apt-file  \
		apt-transport-https  \
		bash-completion  \
		build-essential  \
		byobu  \
		ca-certificates  \
		clang  \
		cmake  \
		command-not-found  \
		curl  \
		elinks  \
		git  \
		htop  \
		libpython-dev  \
		libpython3-dev  \
		locales  \
		man  \
		mc  \
		neovim  \
		python3  \
		python3-venv  \
		software-properties-common  \
		tig  \
		zsh  \
	&&  apt-file update

# node related
curl -RLSsf1 https://deb.nodesource.com/setup_10.x | bash -
apt-get install -y nodejs

# python3 related
curl -RLSsf1 https://bootstrap.pypa.io/get-pip.py | python2
curl -RLSsf1 https://bootstrap.pypa.io/get-pip.py | python3
